### Hierarchy

- AbstractNode
  - AnnotationDefinition

### Implements

- Definition

## Index

### Constructors

- constructor

### Properties

- arguments
- description
- kind
- loc
- locations
- name

### Methods

- accept
- getDescription
- getKind
- getLoc

## Constructors

### constructor

- new AnnotationDefinition(loc: undefined | Location, name: Name, description: undefined | StringValue, args: InputValueDefinition[], locations: Name[]): AnnotationDefinition

- Overrides AbstractNode.constructor

  - Defined in src/ast/definitions.ts:17

  #### Parameters

  - ##### loc: undefined | Location

  - ##### name: Name

  - ##### description: undefined | StringValue

  - ##### args: InputValueDefinition[]

  - ##### locations: Name[]

  #### Returns AnnotationDefinition

## Properties

### arguments

arguments: InputValueDefinition[]

- Defined in src/ast/definitions.ts:16

### Optional description

description: StringValue

- Defined in src/ast/definitions.ts:15

### kind

kind: string

Inherited from AbstractNode.kind

- Defined in src/ast/node.ts:13

### Optional loc

loc: Location

Inherited from AbstractNode.loc

- Defined in src/ast/node.ts:14

### locations

locations: Name[]

- Defined in src/ast/definitions.ts:17

### name

name: Name

- Defined in src/ast/definitions.ts:14

## Methods

### accept

- accept(_context: Context, _visitor: Visitor): void

- Inherited from AbstractNode.accept

  - Defined in src/ast/node.ts:29

  #### Parameters

  - ##### _context: Context

  - ##### _visitor: Visitor

  #### Returns void

### getDescription

- getDescription(): undefined | StringValue

- - Defined in src/ast/definitions.ts:33

  #### Returns undefined | StringValue

### getKind

- getKind(): string

- Implementation of Definition.getKind

  Inherited from AbstractNode.getKind

  - Defined in src/ast/node.ts:21

  #### Returns string

### getLoc

- getLoc(): undefined | Location

- Implementation of Definition.getLoc

  Inherited from AbstractNode.getLoc

  - Defined in src/ast/node.ts:25

  #### Returns undefined | Location

Generated using TypeDoc